Package com.io7m.smfj.processing.api

## Class SMFFilterCommandContext.Builder

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFFilterCommandContext.Builder

- Enclosing class:
    SMFFilterCommandContext

      public static final class SMFFilterCommandContext.Builder
      extends java.lang.Object

  Builds instances of type `SMFFilterCommandContext`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SMFFilterCommandContext` | `build()` | Builds a new `SMFFilterCommandContext`.
    `SMFFilterCommandContext.Builder` | `from​(SMFFilterCommandContextType instance)` | Fill a builder with attribute values from the provided `SMFFilterCommandContextType` instance.
    `SMFFilterCommandContext.Builder` | `setCurrentPath​(java.nio.file.Path currentPath)` | Initializes the value for the `currentPath` attribute.
    `SMFFilterCommandContext.Builder` | `setSourceRoot​(java.nio.file.Path sourceRoot)` | Initializes the value for the `sourceRoot` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFFilterCommandContext.Builder from​(SMFFilterCommandContextType instance)

      Fill a builder with attribute values from the provided `SMFFilterCommandContextType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setSourceRoot

          public final SMFFilterCommandContext.Builder setSourceRoot​(java.nio.file.Path sourceRoot)

      Initializes the value for the `sourceRoot` attribute.
      Parameters:
        `sourceRoot` - The value for sourceRoot
      Returns:
        `this` builder for use in a chained invocation

    - #### setCurrentPath

          public final SMFFilterCommandContext.Builder setCurrentPath​(java.nio.file.Path currentPath)

      Initializes the value for the `currentPath` attribute.
      Parameters:
        `currentPath` - The value for currentPath
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFFilterCommandContext build()

      Builds a new `SMFFilterCommandContext`.
      Returns:
        An immutable instance of SMFFilterCommandContext
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing